#ifndef MDD_IOUTPUT_H
#define MDD_IOUTPUT_H
#include "json.hpp"
#include <memory>
#include "IInteractive.h"
//#include "IInput.h"


namespace mdd
{
    class IInput;
    class IModule;

    class IOutput 
        : public IInteractive<IInput>
    {
    public:
        typedef std::shared_ptr<IOutput> Ptr;
        virtual std::vector<std::shared_ptr<IInput>> getConnections() = 0;
        virtual ~IOutput() = default;
    };
}

#endif //MDD_IOUTPUT_H
